Subject: RE: [SIP] New Section 6.34 (was: Record-Route consensus)

From: "Fairlie-Cuninghame, Robert" <[email-masked]>
Date: Fri, 24 Nov 2000 03:31:41 -0800

> 
> > However, the parameters
> > _are_ being treated as URL parameters in the Request-URI so the
> > behaviour makes sense from that respect.
> 
> I'm not quite with you here, but I think I agree.  As things
> currently stand, it doesn't look like Record-Route parameters
> are particularly useful; however, this doesn't mean we won't
> think of some funky new use in the future.

Well to any other proxy than the generating/intended proxy, the extra
record-route related Request-URI parameters are simply treated as unknown
"other-param" parameters (as per Section 2 grammer definitions). 

Given that record-route parameters (ie, ones copied into the Request-URI)
are implementation specific, I think we need to recommend that all parameter
names should be of the form "rr-xxxxxx" (or something) so that we don't get
collisions in the future between new URL parameters and some proxy's
implementation specific record-route parameters. 

[Record-Route is a peculiar case, as I was saying, because we need to copy
the Record-Route parameters in to the Request-URI (which can't include angle
brackets).]

> Therefore, at the moment, it might be wise to note that
> proxies probably always want to use angle brackets.  Just to
> be sure.
> 
Agreed.

Robert.

-- My opinions are my own. I tried selling them once but everybody
	seems to already have one. --  

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

---

From: "Jo Hornsby" <[email-masked]>
Date: Fri, 24 Nov 2000 13:56:16 -0000

> "other-param" parameters (as per Section 2 grammer definitions). 

Indeed.

> are implementation specific, I think we need to recommend that 
> all parameter names should be of the form "rr-xxxxxx" (or something)
> so that we don't get collisions in the future between new URL
> parameters and some proxy's implementation specific record-route
> parameters.

I'm getting slightly confused by the term "record-route parameters",
I think.  Are you talking about the parameters that a proxy adds
to the SIP URL?

If the Contact, say, has all the `='s and `;'s escaped, and the
result of this is embedded as a parameter, does this solve the
collision problem?

> [Record-Route is a peculiar case, as I was saying, because we need
> to copy the Record-Route parameters in to the Request-URI (which
> can't include angle brackets).]

I think there's still a need to distinguish between Record-Route
parameters (that is, rr-params in section 6.34 of bis02) and the
parameters that a proxy adds to the SIP URL that it places in
a Record-Route value.  Record-Route params might still prove to
be useful; they could be used so that a proxy can identify the
Record-Route entry that it added, for instance.

Cheers,

 - Jo.